Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229671

Summary: No record of rpm warnings (rpmnew etc.) when updating with pup
Product: [Fedora] Fedora Reporter: Kevin R. Page <redhat-bugzilla>
Component: pirutAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: fedora, james.antill
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-12 18:24:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin R. Page 2007-02-22 17:32:50 UTC
Description of problem:
The brave new world of pup and puplet is generally great, however, when using
pup to update I'm no longer informed of rpm warnings e.g. rpmnew/rpmsave files.

On machines I update myself, it would be useful for the pup UI to be able to
pass on these warnings.

On machines updated by less experienced users, which I keep an eye on via
logwatch - and if the pup UI is being kept intentionally simple - then it would
be useful for these warnings to be recorded in yum.log.

If so, perhaps this would be better filed against yum? I'll refile if this is
the consensus.

I notice that if I run pup from a terminal, the rpm warnings are shown there -
so I guess they may be coming from rpm/librpm and going to stderr rather than a
logging interface? So perhaps this goes right down to the rpm API?


Version-Release number of selected component (if applicable):
pirut-1.2.8-1.fc6
yum-3.0.3-1.fc6
rpm-4.4.2-32

Comment 1 Seth Vidal 2007-08-03 19:44:18 UTC
reassigning to pirut - though this seems more like rpm.

Comment 2 Jeremy Katz 2007-09-12 18:24:46 UTC
Added in CVS for pirut (1.3.18 or so); going to try to push down to yum, though